XIncludeHandler.Notation (Xerces2 Implementation)
Keywords: org.apache.xerces.xinclude.XIncludeHandler.Notation class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xinclude
Class XIncludeHandler.Notation

    java.lang.Object
      org.apache.xerces.xinclude.XIncludeHandler.Notation

Enclosing class:
  XIncludeHandler

    protected static class XIncludeHandler.Notation

extends java.lang.Object

Field Summary
`org.apache.xerces.xni.Augmentations` | `augmentations`
`java.lang.String` | `baseURI`
`java.lang.String` | `expandedSystemId`
`java.lang.String` | `name`
`java.lang.String` | `publicId`
`java.lang.String` | `systemId`

Constructor Summary
`protected` | `XIncludeHandler.Notation()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`boolean` | `isDuplicate(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### systemId

    public java.lang.String systemId

### baseURI

    public java.lang.String baseURI

### publicId

    public java.lang.String publicId

### expandedSystemId

    public java.lang.String expandedSystemId

### augmentations

    public org.apache.xerces.xni.Augmentations augmentations

Constructor Detail

### XIncludeHandler.Notation

    protected XIncludeHandler.Notation()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### isDuplicate

    public boolean isDuplicate(java.lang.Object obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.